Package org.eclipse.compare.contentmergeviewer

# Interface IFlushable

All Known Implementing Classes:
  `ContentMergeViewer`, `TextMergeViewer`

public interface IFlushable
Interface which provides the ability to flush the contents from the viewer model (for example, an `IDocument` for text based content) into the underlying compare model ( most likely an instance of `IEditableContent`).

This interface may be implemented by clients.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`void`
`flush(IProgressMonitor monitor)`
Request that the view contents be flushed to the underlying compare input.

## Method Details

### flush

void flush(IProgressMonitor monitor)
Request that the view contents be flushed to the underlying compare input. Depending on the type of input, this may result in the contents being written into the underlying model (e.g. file) as well.

Parameters:
  `monitor` - a progress monitor or `null` if progress reporting is not desired